@import url("https://fonts.googleapis.com/css2?family=Poppins:wght@400;500;600&display=swap");
* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: "Poppins", sans-serif;
}
:root {
  --text-color: #ffffff;
  --icon-color: #acacbe;
  --icon-hover-bg: #5b5e71;
  --placeholder-color: #dcdcdc;
  --out-chat-bg: #000000;
  --in-chat-bg: #46474b;
  --out-chat-border: #343541;
  --in-chat-border: #444654;
}
.light-mode {
  --text-color: #343541;
  --icon-color: #a9a9bc;
  --icon-hover-bg: #f1f1f3;
  --placeholder-color: #6c6c6c;
  --out-chat-bg: #ffffff;
  --in-chat-bg: #f7f7f8;
  --out-chat-border: #ffffff;
  --in-chat-border: #d9d9e3;
}
body {
  background: var(--out-chat-bg);
  font-size: 16px;
     
}
:where(.chat-container, textarea)::-webkit-scrollbar {
  width: 10px;
}
:where(.chat-container, textarea)::-webkit-scrollbar-track {
  background: var(--in-chat-bg);
  border-radius: 25px;
}
:where(.chat-container, textarea)::-webkit-scrollbar-thumb {
  background: var(--icon-color);
  border-radius: 25px;
}

.chat-container {
  overflow-y: auto;
  align-items: right;
  max-height: 70vh;
  padding-bottom: 0px;
  width: 85%;
  border-radius: 10px;
  margin-left: auto; 
  margin-right: 0;
  
   
}

.navbar {
  background: #000;
  color: #fff;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 10px 20px;
}

.navbar-logo img {
  height: 30px; 
}

.navbar-links {
  display: flex;
}

.navbar-links a {
  color: #ffffff;
  text-decoration: none;
  margin-left: 20px;
}

.navbar-links a:last-child {
  margin-right: 0;
}


.default-text .grey-box {
  background-color: rgba(114, 106, 106, 0.5); 
  padding: 20px;
  border-radius: 10px; 
  align-items: center;
}

.default-text h1 {
  font-size: 3.3rem;
}

.default-text h3 {
  margin-top: 10px;
  font-size: 1.1rem;
}

.chat-container .chat {
  padding: 15px 10px;
  display: flex;
  justify-content: center;
  color: var(--text-color);
}
.chat-container .chat.outgoing {
  background: var(--out-chat-bg);
  border: 1px solid var(--out-chat-border);
}
.chat-container .chat.incoming {
  background: var(--in-chat-bg);
  border: 1px solid var(--in-chat-border);
}
.chat .chat-content {
  display: flex;
  max-width: 1200px;
  width: 100%;
  align-items: flex-start;
  justify-content: space-between;
}
span.material-symbols-rounded {
  user-select: none;
  cursor: pointer;
}
.chat .chat-content span {
  cursor: pointer;
  font-size: 1.3rem;
  color: var(--icon-color);
  visibility: hidden;
}
.chat:hover .chat-content:not(:has(.typing-animation), :has(.error)) span {
  visibility: visible;
}
.chat .chat-details {
  display: flex;
  align-items: center;
}
.chat .chat-details img {
  width: 45px;
  height: 45px;
  align-self: flex-start;
  object-fit: cover;
  border-radius: 2px;
}
.chat .chat-details p {
  white-space: pre-wrap;
  font-size: 1.05rem;
  padding: 0 50px 0 25px;
  color: var(--text-color);
  word-break: break-word;
}
.chat .chat-details p.error {
  color: #e55865;
}
.chat .typing-animation {
  padding-left: 25px;
  display: inline-flex;
}
.typing-animation .typing-dot {
  height: 7px;
  width: 7px;
  border-radius: 50%;
  margin: 0 3px;
  opacity: 0.7;
  background: var(--text-color);
  animation: animateDots 1.5s var(--delay) ease-in-out infinite;
}
.typing-animation .typing-dot:first-child {
  margin-left: 0;
}
@keyframes animateDots {
  0%,
  44% {
    transform: translateY(0px);
  }
  28% {
    opacity: 0.4;
    transform: translateY(-6px);
  }
  44% {
    opacity: 0.2;
  }
}

.typing-container {
  position: fixed;
  bottom: 50px;
  right: 0;
  left: 0;
  width: 85%;
  margin: 0 auto;
  display: flex;
  padding: 10px 10px;
  justify-content: center;
  background: var(--out-chat-bg);
  border-top: 0px solid var(--in-chat-border);
}
.typing-container .typing-content {
  display: flex;
  max-width: 950px;
  width: 100%;
  align-items: flex-end;
}
.typing-container .typing-textarea {
  width: 100%;
  display: flex;
  border-radius: 15px;
  position: relative;
}
.typing-textarea textarea {
  resize: none;
  height: 55px;
  width: 100%;
  border: none;
  padding: 15px 20px 15px 30px;
  color: var(--text-color);
  font-size: 1rem;
  border-radius: 30px;
  max-height: 250px;
  overflow-y: auto;
  background: var(--in-chat-bg);
  outline: 1px solid var(--in-chat-border);
}
.typing-textarea textarea::placeholder {
  color: var(--placeholder-color);
}
.typing-content span {
  width: 55px;
  height: 55px;
  display: flex;
  border-radius: 15px;
  font-size: 1.35rem;
  align-items: center;
  justify-content: center;
  color: var(--icon-color);
}
.typing-textarea span {
  position: absolute;
  right: 0;
  bottom: 0;
  visibility: hidden;
}
.typing-textarea textarea:valid ~ span {
  visibility: visible;
}
.typing-controls {
  display: flex;
}
.typing-controls span {
  margin-left: 7px;
  font-size: 1.4rem;
  background: var(--in-chat-bg);
  outline: 1px solid var(--in-chat-border);
}
.typing-controls span:hover {
  background: var(--icon-hover-bg);
}

@media screen and (max-width: 600px) {
  .default-text h1 {
    font-size: 2.3rem;
  }
  :where(.default-text p, textarea, .chat p) {
    font-size: 0.95rem !important;
  }
  .chat-container .chat {
    padding: 20px 10px;
  }
  .chat-container .chat img {
    height: 32px;
    width: 32px;
  }
  .chat-container .chat p {
    padding: 0 20px;
  }
  .chat .chat-content:not(:has(.typing-animation), :has(.error)) span {
    visibility: visible;
  }
  .typing-container {
    padding: 10px 10px;
    width: 80%;
  }
  .typing-textarea textarea {
    height: 45px;
    padding: 10px 40px 10px 10px;
  }
  .typing-content span {
    height: 45px;
    width: 45px;
    margin-left: 5px;
  }
  span.material-symbols-rounded {
    font-size: 1.25rem !important;
  }
}
